/*
Theme Name:  Nectarblocks Child Theme
Version:     1.0.0
Template:    nectar-blocks-theme
Description: Child theme for Nectarblocks.
Theme URI:   https://nectarblocks.com
Author:      NectarBlocks
Author URI:  https://nectarblocks.com
License:     Custom license
License URI: https://nectarblocks.com/license
Text Domain: nectar-blocks-theme
*/

/*-------------------------------------------------------------------------*/
/* Note: The theme CSS files are loaded through the /css/ folder. 
/*-------------------------------------------------------------------------*/


:root {
    --wp--style--root--padding-left: 2vw;
    --wp--style--root--padding-right: 2vw;
}

@media only screen and (max-width: 1024px) {
    :root {
        --header-mobile-fullwidth-horizontal-padding: 5vw;
	}
}
/*--- Navigation desktop ---*/
@media (min-width: 1025px)
{
	/*Border logo*/
	html body #nectar-nav[data-format=menu-left-aligned] .row .col.span_3 {
		margin-right: 1vw;
		padding-right: 2vw;
		border-right: 1px solid var(--dark);
	}

	/*Right navigation*/
	body.material #nectar-nav[data-using-pr-menu=true] #top nav>.buttons
	{
		flex-direction: row-reverse;
	}

	/*Btn account*/
	html body #menu-item-93 span
	{
		display: none;
	}

	html body #menu-item-93 a 
	{
		padding: initial !important;
	}

	html body #menu-item-93 a img
	{
		margin-right: initial !important;
	}

	/*Btn nos offres*/
	#nectar-nav[data-lhe="animated_underline"] #top nav > ul > #menu-item-91 > a
	{
		margin-right: initial;
	}

	html body #menu-item-91 span
	{
		line-height: 1.4;
	}
}

@media (max-width: 1024px)
{
	html body .off-canvas-menu-container .nectar-menu-icon, 
	html body .off-canvas-menu-container .nectar-menu-icon-img, 
	html body #nectar-nav #mobile-menu .nectar-menu-icon, 
	html body #nectar-nav #mobile-menu .nectar-menu-icon-img 
	{
		display: initial;
		max-width: 1.6rem !important;
		width: 1.6rem !important;
	}

	html body .menu-item-93 .nectar-menu-icon-img 
	{
		display: none !important;
	}

	html body .menu-item-93 
	{
		margin-top: 2rem;
		padding-top: 2rem;
		border-top: 1px solid #00000032;
	}
}

/*Footer*/
@media (max-width: 1024px)
{
	footer .nectar-blocks-column__wrapper
	{
		border-right: initial !important;
	}
}

/*--- CPT ---*/
/*Avis*/
.single .stars-avg-rating
{
	text-align: initial;
	margin: initial;
	font-size: 16px;
	color: var(--dark);
}

html body .rating-stars i.rated:after {
    color: var(--dark);
}

.wp-block-comment-template
{
	display: flex;
	margin-left: initial;
	    gap: 3vw;
    flex-wrap: wrap;
}


.wp-block-comment-template li {
    width: 30%;
    list-style: none;
}

.wp-block-comment-content
{
	display: flex;
    flex-direction: column-reverse;
}

.wp-block-comment-content p
{
	margin-bottom: 1rem !important;
}

.wp-block-columns:not(.is-not-stacked-on-mobile)>.wp-block-column 
{
	flex-direction: column-reverse;
	display: flex;
}

.wp-block-comments
{
	width: 100%;
}

.wp-block-comment-template li 
{
	width: 30%;
	list-style: none;
}

@media (max-width: 500px)
{
	.wp-block-comment-template li 
	{
		width: 48%;
	}
	
	.wp-block-comment-template
	{
		flex-wrap: wrap;
		column-gap: 2vw;
		row-gap: 2rem;
	}
}

/*Desactiver section commentaire automatique du cpt*/
.nectar-blocks__post-section,
.blog_next_prev_buttons
{
	display: none;
}

/*Principales cuvées*/
.cols2
{
	column-count: 2;
    max-width: 72vw;
    column-gap: 8vw;
}

@media (max-width: 1025px)
{
	.cols2
	{
		max-width: 84vw;
	}
}

@media (max-width: 500px)
{
	.cols2
	{
		column-count: 1;
		max-width: 100%;
	}
}

/*Marques similaires*/
html body .marques-similaires .nectar-blocks-post-grid__item__read-more 
{
    width: auto;
    padding: 0.8rem 0.85em;
    background-color: var(--accentPrimary);
    border-radius: 10rem;
	margin-top: 1rem;
}

html body .marques-similaires .nectar-blocks-post-grid__item__content__inner
{
	flex-direction: row;
	flex-wrap: wrap;
	gap: initial;
}

html body .marques-similaires .nectar-blocks-post-grid__item__title,
html body .marques-similaires .nectar-blocks-post-grid__item__taxonomies 
{
    width: 50%;
}

html body .marques-similaires .nectar-blocks-post-grid__item__taxonomies
{
	justify-content: flex-end;
}

@media (max-width: 500px)
{
	html body .hero .nectar-blocks-post-grid__item__featured-media
	{
		width: 16vw !important;
	}
}
/*--- Fin CPT ---*/

